# Created by pyp2rpm-1.0.1
%define pypi_name wheel
%define with_python3 1
%define run_test 0

Name:           python-%{pypi_name}
Version:        0.26.0
Release:        %mkrel 2
Summary:        A built-package format for Python
Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/dholth/wheel/
Source0:        https://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%if 0%{?run_test}
BuildRequires:  python-pytest
BuildRequires:  python-jsonschema
BuildRequires:  python-keyring
BuildRequires:  python-py
%endif

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if 0%{?run_test}
BuildRequires:  python3-pytest
BuildRequires:  python3-jsonschema
BuildRequires:  python3-keyring
BuildRequires:  python3-py
%endif
%endif # if with_python3


%description
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        A built-package format for Python
Group:          Development/Python

%description -n python3-%{pypi_name}
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

This is package contains Python 3 version of the package.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}

# header files just has to be there, even empty
touch %{pypi_name}/test/headers.dist/header.h

# remove unneeded shebangs
sed -ie '1d' %{pypi_name}/{egg2wheel,wininst2wheel}.py

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3


%build
%py2_build

%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
popd
pushd %{buildroot}%{_bindir}
for f in $(ls); do mv $f python3-$f; done
popd
%endif # with_python3

%py2_install

%if 0%{?run_test}
%check
# remove setup.cfg that makes pytest require pytest-cov (unnecessary dep)
rm setup.cfg
py.test --ignore build

%if 0%{?with_python3}
pushd %{py3dir}
rm setup.cfg
py.test-%{python3_version} --ignore build
popd
%endif # with_python3
%endif

%files
%doc LICENSE.txt CHANGES.txt README.txt
%{_bindir}/wheel
%{python2_sitelib}/%{pypi_name}*
%exclude %{python2_sitelib}/%{pypi_name}/test

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc LICENSE.txt CHANGES.txt README.txt
%{_bindir}/python3-wheel
%{python3_sitelib}/%{pypi_name}*
%exclude %{python3_sitelib}/%{pypi_name}/test
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.26.0-2.mga6
+ Revision: 970441
- Mageia 6 Mass Rebuild

* Wed Sep 23 2015 philippem <philippem> 0.26.0-1.mga6
+ Revision: 882389
- update to 0.26.0

* Fri Aug 28 2015 philippem <philippem> 0.24.0-1.mga6
+ Revision: 870482
- update to 0.24.0

* Wed Oct 15 2014 umeabot <umeabot> 0.23.0-5.mga5
+ Revision: 743708
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.23.0-4.mga5
+ Revision: 730008
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.23.0-3.mga5
+ Revision: 688422
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.23.0-2.mga5
+ Revision: 629102
- Rebuild for new Python

* Fri May 23 2014 philippem <philippem> 0.23.0-1.mga5
+ Revision: 625218
- update to 0.23, first step for Python 3.4

* Sun Apr 20 2014 philippem <philippem> 0.22.0-1.mga5
+ Revision: 617157
- add missing BR for tests
- imported package python-wheel

